DELETE https://api.cryptohopper.com/v1/hopper/{id}/position/remove

Removes the given open positions from the hopper without selling them. No order is placed at the exchange.

OAuth scope: read About scopes

position_id is an array of open position IDs (a single ID is also accepted).

Example request

curl -X DELETE "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/remove" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"position_id":[123456,123457]}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Request body

JSON, model PositionRemoveDELETE

Response

Example response (illustrative values)

{
    "data": "Positions have been deleted."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.